<Project Sdk="Microsoft.NET.Sdk.Web">
    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <RootNamespace>JiShe.CollectBusEPO</RootNamespace>
        <PreserveCompilationReferences>true</PreserveCompilationReferences>
        <UserSecretsId>JiShe.MicroService-4681b4fd-151f-4221-84a4-929d86723e4c</UserSecretsId>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
        <DockerfileContext>..\..</DockerfileContext>
		<GenerateDocumentationFile>true</GenerateDocumentationFile>
	</PropertyGroup>

	<ItemGroup> 
		<PackageReference Include="Microsoft.AspNetCore.DataProtection.StackExchangeRedis" Version="9.0.0" />
		<PackageReference Include="Serilog" Version="4.1.0" />
		<PackageReference Include="Serilog.AspNetCore" Version="8.0.3" />
		<PackageReference Include="Serilog.Exceptions" Version="8.4.0" />
		<PackageReference Include="Serilog.Extensions.Logging" Version="8.0.0" />
		<PackageReference Include="Serilog.Settings.Configuration" Version="8.0.4" />
		<PackageReference Include="Serilog.Sinks.Async" Version="2.1.0" />
		<PackageReference Include="Serilog.Sinks.Console" Version="6.0.0" />
		<PackageReference Include="Serilog.Sinks.File" Version="6.0.0" />
		<PackageReference Include="Swashbuckle.AspNetCore" Version="7.0.0" />
		<PackageReference Include="Swashbuckle.AspNetCore.Annotations" Version="7.0.0" />
		<PackageReference Include="Volo.Abp.AspNetCore" Version="8.3.3" />
		<PackageReference Include="Volo.Abp.AspNetCore.Authentication.JwtBearer" Version="8.3.3" />
		<PackageReference Include="Volo.Abp.AspNetCore.Serilog" Version="8.3.3" />
		<PackageReference Include="Volo.Abp.Autofac" Version="8.3.3" /> 
		<PackageReference Include="Volo.Abp.Swashbuckle" Version="8.3.3" /> 
	</ItemGroup>
	
    <ItemGroup>
        <ProjectReference Include="..\..\services\JiShe.CollectBusEPO.Application\JiShe.CollectBusEPO.Application.csproj" />
        <ProjectReference Include="..\JiShe.CollectBusEPO.HttpApi\JiShe.CollectBusEPO.HttpApi.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Compile Remove="Docker\publish\**" />
        <Compile Remove="Logs\**" />
        <Compile Remove="nacos\**" />
        <Content Remove="Docker\publish\**" />
        <Content Remove="Logs\**" />
        <Content Remove="nacos\**" />
        <EmbeddedResource Remove="Docker\publish\**" />
        <EmbeddedResource Remove="Logs\**" />
        <EmbeddedResource Remove="nacos\**" />
        <None Remove="Docker\publish\**" />
        <None Remove="Logs\**" />
        <None Remove="nacos\**" />
    </ItemGroup>

    <ItemGroup>
        <Content Remove="$(UserProfile)\.nuget\packages\*\*\contentFiles\any\*\*.abppkg*.json" />
    </ItemGroup>

    <ItemGroup>
      <_ContentIncludedByDefault Remove="wwwroot\files\a.txt" />
    </ItemGroup>

    <ItemGroup>
      <None Include="wwwroot\TemporaryFiles\.gitkeep" />
    </ItemGroup>
</Project>
